#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IO
%define		pnam	Tty
Summary:	IO::Tty and IO::Pty - interface to pseudo-ttys
Summary(pl.UTF-8):	IO::Tty i IO::Pty - interfejs do pseudo-tty
Name:		perl-IO-Tty
Version:	1.12
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/T/TO/TODDR/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	11695a1a516b3bd1b90ce75ff0ce3e6d
URL:		http://search.cpan.org/dist/IO-Tty/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-dirs >= 1.0-6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::Tty is used internally by IO::Pty to create a pseudo-tty.

IO::Pty provides an interface to allow the creation of a pseudo tty.

%description -l pl.UTF-8
Moduł IO::Tty jest używany wewnętrznie poprzez IO::Pty do tworzenia
pseudoterminali (pseudo-tty).

Moduł IO::Pty udostępnia interfejs pozwalający na utworzenie
pseudoterminala.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorarch}/IO/Pty.pm
%{perl_vendorarch}/IO/Tty.pm
%{perl_vendorarch}/IO/Tty
%dir %{perl_vendorarch}/auto/IO/Tty
%attr(755,root,root) %{perl_vendorarch}/auto/IO/Tty/Tty.so
%{_mandir}/man3/IO::Pty.3pm*
%{_mandir}/man3/IO::Tty*.3pm*
%changelog
* Sun Sep 20 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-IO-Tty.git;a=log;h=master

* Sun Sep 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 548555d
- updated bcond description

* Thu Aug 20 2015 Sławomir Paszkiewicz <paszczus@pld-linux.org> 8b36957
- updated to 1.12

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> da7bef2
- x32 rebuild
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 1e83a4d
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 54db9ff
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 27c7e8b
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> c884185
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sat Mar 05 2011 Jakub Bogusz <qboosh@pld-linux.org> 909b83b
- updated to 1.10
- mention IO::Pty in descs

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 2f1a345
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c9886c0
- release 2

* Tue Sep 15 2009 amateja <amateja@pld-linux.org> b638dea
- updated to 1.08

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 4eae5ab
- release 4

* Sun Mar 02 2008 radek <radek@pld-linux.org> b94e1d3
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1cb8384
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 73270e6
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Thu Jul 12 2007 radek <radek@pld-linux.org> 439111d
- version 1.07

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> 670c25e
- unified pl

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> 5ae1c3c
- generic URL, pl summary fix

* Tue Mar 27 2007 radek <radek@pld-linux.org> 6c48d32
- rel 3

* Tue Mar 27 2007 radek <radek@pld-linux.org> cbcf990
- tests off (failing on builders due to environment)

